> For the complete documentation index, see [llms.txt](https://docs.peoplelogic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.peoplelogic.dev/guides/getting-started-with-the-composable-talent-platform/connecting-integrations.md).

# Connecting integrations

All integrations supported by Composable Talent are added the same way to your account.  These integrations are just Apps and so [are managed the same way as any other](/guides/key-concepts/apps.md#storing-data-from-an-app).  Remember, you'll need Organization admin or IT Admin permissions to save these apps.

For most you will need at minimum an API key and in many cases you will also need an Access token.  Let's take a look at the general use case for one of the integrations:

```http
POST https://api.peoplelogic.dev/api/v1/app
Content-Type: application/json
Authorization: Bearer {{demoOrgToken}}

{
  "type": "pl:sync:betterworks",
  "internal": false,
  "name": "Acme Corp Betterworks",
  "externalId": "acme-betterworks",
  "secretData": {
    "apiKey": "{{betterWorksApiKey}}"
  }
}
```

The `externalId` and `type` combination must be unique and the specifics of what goes into `secretData` are dependent on each integration.  We'll cover those in the next section!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.peoplelogic.dev/guides/getting-started-with-the-composable-talent-platform/connecting-integrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
